​
Select Service
ves-io-schema-virtual_site-API-Get
Published April 5, 2023 | Last modified May 29, 2026
Examples of getting virtual_site
Usecase:
Get virtual-site-1
Request using vesctl:
vesctl configuration get virtual_site virtual-site-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: virtual-site-1 namespace: documentationreferringObjects: []resourceVersion: "4588"spec: siteSelector: expressions: - some-label siteType: CUSTOMER_EDGEstatus: []systemMetadata: creationTimestamp: "2026-04-13T02:03:18.201645Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: f83f6a7a-26dd-4d7d-be2e-0bb52c3bef30Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/virtual_sites/virtual-site-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 934Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:03:18 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "4588", "metadata": { "name": "virtual-site-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "f83f6a7a-26dd-4d7d-be2e-0bb52c3bef30", "creation_timestamp": "2026-04-13T02:03:18.201645Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "site_selector": { "expressions": [ "some-label" ] }, "site_type": "CUSTOMER_EDGE" }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}